> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trytikt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a test event

> Send a `webhook.test` event to a destination. Accepted now, sent within 5 minutes; read the result with `GET /v1/webhook-endpoints/{id}/deliveries`. Requires a **Read and write** key.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/webhook-endpoints/{id}/test
openapi: 3.1.0
info:
  title: TIKT API
  version: '2026-10-01'
  description: >-
    Read your leads with their verdict criterion by criterion, and answer TIKT:
    file, discard, exclude, pause, track. Server to server only: never call it
    from a browser.
servers:
  - url: https://api.trytikt.com
security:
  - apiKey: []
tags:
  - name: workspace
  - name: leads
  - name: lists
  - name: posts
  - name: tracked-profiles
  - name: icp
  - name: analytics
  - name: events
  - name: webhook-endpoints
  - name: workflows
  - name: tools
paths:
  /v1/webhook-endpoints/{id}/test:
    post:
      tags:
        - webhook-endpoints
      summary: Send a test event
      description: >-
        Send a `webhook.test` event to a destination. Accepted now, sent within
        5 minutes; read the result with `GET
        /v1/webhook-endpoints/{id}/deliveries`. Requires a **Read and write**
        key.
      operationId: sendATestEvent
      parameters:
        - name: id
          in: path
          required: true
          description: The destination's id.
          schema:
            type: string
            format: uuid
      responses:
        '202':
          description: 'Accepted: sent within 5 minutes.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliveryQueued'
        '400':
          $ref: '#/components/responses/E400'
        '401':
          $ref: '#/components/responses/E401'
        '403':
          $ref: '#/components/responses/E403'
        '404':
          $ref: '#/components/responses/E404'
        '409':
          $ref: '#/components/responses/E409'
        '413':
          $ref: '#/components/responses/E413'
        '422':
          $ref: '#/components/responses/E422'
        '429':
          $ref: '#/components/responses/E429'
        '500':
          $ref: '#/components/responses/E500'
        '503':
          $ref: '#/components/responses/E503'
      security:
        - apiKey: []
components:
  schemas:
    DeliveryQueued:
      type: object
      properties:
        delivery_id:
          type: string
          pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
      required:
        - delivery_id
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - parametre_inconnu
                - parametre_invalide
                - corps_invalide
                - curseur_invalide
                - cle_absente
                - cle_invalide
                - cle_revoquee
                - cle_de_lecture
                - introuvable
                - methode_non_permise
                - limite_atteinte
                - corps_trop_gros
                - refus
                - trop_de_requetes
                - erreur_interne
                - indisponible
            message:
              type: string
            status:
              type: integer
            request_id:
              anyOf:
                - type: string
                - type: 'null'
            details:
              type: object
              additionalProperties: true
          required:
            - code
            - message
            - status
            - request_id
          additionalProperties: false
      required:
        - error
      additionalProperties: false
  responses:
    E400:
      description: Error 400.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E401:
      description: Error 401.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E403:
      description: Error 403.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E404:
      description: Error 404.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E409:
      description: Error 409.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E413:
      description: Error 413.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E422:
      description: Error 422.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E429:
      description: Error 429.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E500:
      description: Error 500.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    E503:
      description: Error 503.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your API key, created in Settings › API: `Authorization: Bearer
        tikt_live_…`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.